
async function getShops() {
    let url = 'http://leigh-co.com/minecraft/neweden/link/v1/shops/read';
    try {
        let response = await fetch(url);
        return await response.text();
    } catch (error) {
        console.log(error);
    }
}

async function renderShops() {
    let shops = await getShops();

    let shop_lines = shops.split(/\r\n|\n/);
    let html = '';
    $.each(shop_lines, function(index, value) {
        if (!value.trim()) {
            return;
        }
        let htmlSegment = '';
        const shop = JSON.parse(value);

        htmlSegment = `<div class="shop">
            <h2><img src="assets/minecraft/textures/${shop.item}.png" alt="TESTING IMAGES BEING IN PLACE" style="width:32px;height:32px;">  ${shop.item}</h2>
            <p>Price: ${shop.type} for $${shop.price}</p>
            <p>Coordinates: x/y/z  ${shop.x}/${shop.y}/${shop.z}</p>`;

        if (shop.hasOwnProperty('enchants')) {
            $.each(shop.enchants, function(index, enchant) {
                htmlSegment += `
                    <p>Enchant: ${enchant.name} at lvl ${enchant.level}</p>`;
            });
        }
        
        htmlSegment += `
            <p>RAW SHOP: ${value}</p>
            </div>`;

        html += htmlSegment;
    });

    let container = document.querySelector('.container');
    container.innerHTML = html;
}

renderShops();